---
title: "Invite user to a team"
url: "https://docs.signnow.com/docs/manage-users/operations/invite-user-to-team"
type: "endpoint"
section: "manage-users"
slug: "manage-users/operations/invite-user-to-team"
method: "POST"
path: "/team/{team_id}/request"
operation_id: "invite-user-to-team"
authorization: "bearer"
---

# Invite user to a team

`POST /team/{team_id}/request`

This endpoint allows team member to invite new users to their team

## Authorization

bearer

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `team_id` | string | Yes |  |

## Request Body

**Schema**

```json
{
  "type": "object",
  "properties": {}
}
```

**Example** (`application/json`)

```json
{
  "emails": [
    "user1@emaildomain.com",
    "user2@emaildomain.com",
    "user3@emaildomain.com"
  ]
}
```

## Responses

### 200

**Example** (`application/json`)

```json
{
  "team_requests": [
    {
      "id": "dfXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "email": "user1@email.com",
      "status": "success"
    },
    {
      "id": "0eXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "email": "user2@email.com",
      "status": "success"
    },
    {
      "id": "d4XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "email": "user3@email.com",
      "status": "success"
    }
  ]
}
```

### 400

* Incorrect or empty payload.
* One or more emails adresses are incorrect.
* User is not in the team.
* Team not found.


**Example** (`Team not found`)

```json
{
  "code": 66391,
  "message": "Team not found"
}
```

**Example** (`User not in the team`)

```json
{
  "code": 65615,
  "message": "Operation not allowed"
}
```

**Example** (`Incorrect email or emails`)

```json
{
  "code": 65582,
  "message": "Invalid Email."
}
```

**Example** (`Incorrect or missing payload`)

```json
{
  "code": 65582,
  "message": "Emails are required."
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X POST \
  "https://api.signnow.com/team/{team_id}/request" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"emails": ["user1@emaildomain.com", "user2@emaildomain.com", "user3@emaildomain.com"]}'
```

---
*Full reference: https://docs.signnow.com/docs/manage-users/operations/invite-user-to-team*
